Index: /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 9352)
+++ /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 9353)
@@ -820,8 +820,15 @@
    ln_vvl_layer  = .false.          !  full layer vertical coordinate
    ln_vvl_ztilde_as_zstar = .false. !  ztilde vertical coordinate emulating zstar
-   ln_vvl_zstar_at_eqtor = .false.  !  ztilde near the equator
-   rn_ahe3       = 0.0e0            !  thickness diffusion coefficient
+   ln_vvl_zstar_at_eqtor  = .false. !  revert to zstart at equator
+   ln_vvl_zstar_on_shelf  = .false. !  revert to zstar on shelves
+   ln_vvl_adv_cn2 = .false.         !  Centred thickness advection scheme
+   ln_vvl_adv_fct = .true.          !  FCT thickness advection scheme
+   ln_vvl_lap = .false.             !  Laplacian thickness diffusion
+      rn_ahe3_lap =  0.e0
+   ln_vvl_blp = .false.             !  Bilaplacian thickness diffusion
+      rn_ahe3_blp = -2.e8
    rn_rst_e3t    = 30.e0            !  ztilde to zstar restoration timescale [days]
    rn_lf_cutoff  = 5.0e0            !  cutoff frequency for low-pass filter  [days]
+   ln_vvl_regrid = .true.           !  Vertical regriding to ensure layer separation
    rn_zdef_max   = 0.9e0            !  maximum fractional e3t deformation
    ln_vvl_dbg    = .true.           !  debug prints    (T/F)
Index: /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90
===================================================================
--- /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 9352)
+++ /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 9353)
@@ -487,5 +487,5 @@
          CALL dom_vvl_interpol( fse3t_n(:,:,:), fse3u_n(:,:,:), 'U' )
          CALL dom_vvl_interpol( fse3t_n(:,:,:), fse3v_n(:,:,:), 'V' )
-         CALL dom_vvl_interpol( fse3u_n(:,:,:), fse3f_n(:,:,:), 'F' )
+         CALL dom_vvl_interpol( fse3t_n(:,:,:), fse3f_n(:,:,:), 'F' )
          ! Vertical scale factor interpolations
          ! ------------------------------------
Index: /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90
===================================================================
--- /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90	(revision 9352)
+++ /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90	(revision 9353)
@@ -354,5 +354,5 @@
             CALL dom_vvl_interpol( fse3t_n(:,:,:), fse3u_n(:,:,:), 'U' )
             CALL dom_vvl_interpol( fse3t_n(:,:,:), fse3v_n(:,:,:), 'V' )
-            CALL dom_vvl_interpol( fse3u_n(:,:,:), fse3f_n(:,:,:), 'F' )
+            CALL dom_vvl_interpol( fse3t_n(:,:,:), fse3f_n(:,:,:), 'F' )
             ! Vertical scale factor interpolations
             ! ------------------------------------
Index: /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90
===================================================================
--- /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 9352)
+++ /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 9353)
@@ -214,5 +214,5 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ehur_b, ehvr_b !: Before inverse of u and v-points ocean depth (1/m)
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ehu_b , ehv_b  !:        depth at u- and v-points (meters)
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ht_0           !: reference depth at t-       points (meters)
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ht_0 , hf_0    !: reference depth at t- and f-points (meters)
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   hu_0 , hv_0    !: reference depth at u- and v-points (meters)
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   re2u_e1u       !: scale factor coeffs at u points (e2u/e1u)
@@ -370,5 +370,5 @@
 #endif
          !
-      ALLOCATE( hu      (jpi,jpj) , hur     (jpi,jpj) , hu_0(jpi,jpj) , ht_0  (jpi,jpj) ,     &
+      ALLOCATE( hu      (jpi,jpj) , hur     (jpi,jpj) , hu_0(jpi,jpj) , ht_0  (jpi,jpj) , hf_0  (jpi,jpj),   &
          &      hv      (jpi,jpj) , hvr     (jpi,jpj) , hv_0(jpi,jpj) , ht    (jpi,jpj) ,     &
          &      re2u_e1u(jpi,jpj) , re1v_e2v(jpi,jpj) ,                                       &
Index: /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 9352)
+++ /branches/2018/dev_r8864_nemo_v3_6_ZTILDE/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 9353)
@@ -70,5 +70,5 @@
       !!              - 1D configuration, move Coriolis, u and v at T-point
       !!----------------------------------------------------------------------
-      INTEGER ::   jk          ! dummy loop argument
+      INTEGER ::   jj, jk      ! dummy loop argument
       INTEGER ::   iconf = 0   ! local integers
       !!----------------------------------------------------------------------
@@ -92,4 +92,5 @@
       hu_0(:,:) = 0.0_wp                       ! Reference ocean depth at U-points
       hv_0(:,:) = 0.0_wp                       ! Reference ocean depth at V-points
+      hf_0(:,:) = 0.0_wp                       ! Reference ocean depth at F-points
       DO jk = 1, jpk
          ht_0(:,:) = ht_0(:,:) + e3t_0(:,:,jk) * tmask(:,:,jk)
@@ -97,4 +98,11 @@
          hv_0(:,:) = hv_0(:,:) + e3v_0(:,:,jk) * vmask(:,:,jk)
       END DO
+      !   
+      DO jj=1, jpjm1
+         DO jk = 1, jpk
+            hf_0(:,jj) = hf_0(:,jj) + e3f_0(:,jj,jk) * umask(:,jj,jk)*umask(:,jj+1,jk)
+         END DO
+      END DO
+      CALL lbc_lnk( hf_0, 'F', 1._wp )
       !
       IF( lk_c1d )           CALL cor_c1d      ! 1D configuration: Coriolis set at T-point
